## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-gelidum
Version:        0.7.0
Release:        %autorelease
Summary:        Freeze your objects in python

# The entire source is MIT except resources/gelidum.jpg, which is CC0 (and is
# not installed)
License:        MIT
URL:            https://github.com/diegojromerolopez/gelidum
Source0:        %{url}/archive/v%{version}/gelidum-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Inspired by the method freeze found in other languages like
Javascript, this package tries to make immutable objects to make it
easier avoiding accidental modifications in your code.}

%description %_description

%package -n python3-gelidum
Summary:        %{summary}

%description -n python3-gelidum %_description


%prep
%autosetup -p1 -n gelidum-%{version}


%generate_buildrequires
# The build/test/runtime BuildRequires are generated from upstream metadata
%pyproject_buildrequires -r


%build
# The macro supports setup.py-based and pyproject.toml-based build
%pyproject_wheel


%install
# The macro supports setup.py-based and pyproject.toml-based build
%pyproject_install

# Library and metadata files can be saved automatically
%pyproject_save_files gelidum


%check
# %%tox
# for projects without tox, %%pytest is preferred
python3 -m unittest discover -s ./gelidum/tests


# %%{pyproject_files} handles code files, but executables,
# documentation and license must be listed in the spec file:
%files -n python3-gelidum -f %{pyproject_files}
%doc README.md
%license LICENSE
%exclude %{python3_sitelib}/gelidum/tests

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.7.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 18 2023 David Bold <davidsch@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.6.0-2
- Rebuilt for Python 3.12

* Thu Mar 23 2023 David Bold <davidsch@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 11 2022 David Bold <davidsch@fedoraproject.org> - 0.5.8-2
- Add new sources

* Thu Aug 11 2022 David Bold <davidsch@fedoraproject.org> - 0.5.8-1
- Update to 0.5.8

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.5.7-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 David Bold <davidsch@fedoraproject.org> - 0.5.7-1
- import new package
## END: Generated by rpmautospec
